Bug 27470 - Improve link text for logging in
Summary: Improve link text for logging in
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ava
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 00:37 UTC by Aleisha Amohia
Modified: 2022-06-18 09:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 27470: Improved link text for shibboleth login (2.46 KB, patch)
2021-01-20 02:22 UTC, Ava
Details | Diff | Splinter Review
Bug 27470: Improved link text for logging into CAS (1.18 KB, patch)
2021-01-20 02:59 UTC, Ava
Details | Diff | Splinter Review
Bug 27470: Improved link text for shibboleth login (1.31 KB, patch)
2022-04-21 01:25 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 27470: Improved link text for shibboleth login (1.38 KB, patch)
2022-04-21 15:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27470: Improved link text for shibboleth login (1.44 KB, patch)
2022-04-26 12:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 00:37:58 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt:<p>If you have a shibboleth account, please <a href="[% shibbolethLoginUrl | $raw %]">click here</a> to login.</p>
koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt:    <p><a href="[% casServerUrl | $raw %]">If you have a CAS account, please click here to login</a>.<p>

"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.
Comment 1 Aleisha Amohia 2021-01-20 01:40:32 UTC
There is also this occurrence: koha-tmpl/opac-tmpl/bootstrap/en/includes/masthead.inc:                                <p>If you have a Shibboleth account, please <a href="[% shibbolethLoginUrl | $raw %]">click here to login</a>.</p>
Comment 2 Ava 2021-01-20 02:22:44 UTC
Created attachment 115402 [details] [review]
Bug 27470: Improved link text for shibboleth login

TEST PLAN:
1) Enable shibboleth by adding shibboleth to koha-conf.xml, you can do
this by following

https://wiki.koha-community.org/wiki/Shibboleth_Configuration#Using_AD_FS_Metadata

2) If you are logged in Koha, log out, on the login screen the text
at the top should say the following, "If you have a shibboleth account, see Shibboleth
Login  to login."

3) Then go to the OPAC, if you are logged in, log out. Then go to the
login screen, the text at the top should say the following "If you have
a Shibboleth account, see Shibboleth Account to login." Then the patch
has worked
Comment 3 Ava 2021-01-20 02:59:21 UTC
Created attachment 115403 [details] [review]
Bug 27470: Improved link text for logging into CAS

TEST PLAN
1) First login and go to system prefeences, search CAS and enable
casAuthentication.

2) restart_all in the terminal

3) Log out of koha

4) Under the usual login, and under Cas login there should be a message which says:

"If you have a CAS account, see CAS login to login."

If so, the patch has worked
Comment 4 Lucas Gass 2022-04-20 14:52:18 UTC
Patch no longer cleanly applies to current master.
Comment 5 Aleisha Amohia 2022-04-21 01:25:03 UTC
Created attachment 133508 [details] [review]
Bug 27470: Improved link text for shibboleth login

TEST PLAN:
1) Enable shibboleth by adding shibboleth to koha-conf.xml, you can do
this by following

https://wiki.koha-community.org/wiki/Shibboleth_Configuration#Using_AD_FS_Metadata

2) If you are logged in Koha, log out, on the login screen the text
at the top should say the following, "Log in using a Shibboleth account"

Sponsored-by: Catalyst IT
Comment 6 Owen Leonard 2022-04-21 15:56:12 UTC
Created attachment 133579 [details] [review]
Bug 27470: Improved link text for shibboleth login

TEST PLAN:
1) Enable shibboleth by adding shibboleth to koha-conf.xml, you can do
   this by following

   https://wiki.koha-community.org/wiki/Shibboleth_Configuration#Using_AD_FS_Metadata

2) If you are logged in Koha, log out, on the login screen the text
   at the top should say the following, "Log in using a Shibboleth
   account"

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Katrin Fischer 2022-04-26 12:25:45 UTC
Created attachment 133881 [details] [review]
Bug 27470: Improved link text for shibboleth login

TEST PLAN:
1) Enable shibboleth by adding shibboleth to koha-conf.xml, you can do
   this by following

   https://wiki.koha-community.org/wiki/Shibboleth_Configuration#Using_AD_FS_Metadata

2) If you are logged in Koha, log out, on the login screen the text
   at the top should say the following, "Log in using a Shibboleth
   account"

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2022-05-05 15:05:03 UTC
Added 22_05 keyword to make sure it gets picked.. It's a nice little improvement :)
Comment 9 Fridolin Somers 2022-05-05 20:56:49 UTC
(In reply to Martin Renvoize from comment #8)
> Added 22_05 keyword to make sure it gets picked.. It's a nice little
> improvement :)

Yep, picked just before string freeze ;)
Comment 10 Fridolin Somers 2022-05-05 21:20:31 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 12 Katrin Fischer 2022-06-18 09:35:49 UTC
Wrong bug, sorry!